syntax = "proto3";
option go_package = ".;pb";


//背包格子
message DB_UserItemData {
    string gridId = 1;                           //@go_tags(`bson:"_id"`)               背包格子Id
    string uId = 2;                              //@go_tags(`bson:"uid"`)               用户id
    string itemId = 3;                            //@go_tags(`bson:"itemId"`)            存放物品的Id
    uint32 amount = 4;                           //@go_tags(`bson:"amount"`)            存放物品的数量
    int64 cTime = 5;                             //@go_tags(`bson:"cTime"`)             物品获取时间
    int64 eTime = 6;                             //@go_tags(`bson:"eTime"`)             物品过期时间
    bool isNewItem = 7;                          //@go_tags(`bson:"isNewItem"`)         是否是新的
    int64 lastopt = 8;                           //@go_tags(`bson:"lastopt"`)           最后操作时间
}
